//  File:  UseAVector.java - Demonstrate Vectors and Autoboxing/Unboxing

import java.util.Vector;

public class UseAVector {

    public static void main(String[] args) {
        System.out.println("Using a Vector");
        Vector<String> v = new Vector<String>();
        String[ ] sMonths = { "Jan", "Feb", "Mar", "Apr",
                              "May", "Jun", "Jul", "Aug",
                              "Sep", "Oct", "Nov", "Dec"
                            };
        for (int i = 0; i < sMonths.length; i++)
            v.addElement(sMonths[i]);
        System.out.println("After inserting 12 months, v.size() = " + v.size());
        for (int i = v.size()-1; i >= 0; i -= 2)
            v.removeElementAt(i);
        System.out.println("After removing 6 months, v.size() = " + v.size());
        for (int i = 0; i < v.size(); i++)
            System.out.println(i + " " + v.elementAt(i));

        Vector<Integer> vi = new Vector<Integer>();
        for (int i = 0; i < 10; i++)
               vi.addElement(i);
        System.out.println();
        System.out.println("10 * vi[4] = " + (10 * vi.elementAt(4)));
    }

}

/*  ..... Output from this program .....

Using a Vector
After inserting 12 months, v.size() = 12
After removing 6 months, v.size() = 6
0 Jan
1 Mar
2 May
3 Jul
4 Sep
5 Nov

10 * vi[4] = 40
..... End of Output ..... */
